unit About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, ShellApi;

type
  TfmAbout = class(TForm)
    bbOk: TBitBtn;
    lbTitle: TLabel;
    lbVersionInfo: TLabel;
    memAbout: TMemo;
    lbSite: TLabel;
    lbemail: TLabel;
    lbBorodaLogo: TLabel;
    lbYearCopyRight: TLabel;
    bvPhoto: TBevel;
    imgPhoto: TImage;
    procedure bbOkClick(Sender: TObject);
    procedure lbSiteClick(Sender: TObject);
    procedure lbemailClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmAbout: TfmAbout;

implementation
{$R *.DFM}

procedure TfmAbout.bbOkClick(Sender: TObject);
begin
  Close;
end;

procedure TfmAbout.lbSiteClick(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar(lbSite.Hint+#0), '', '', SW_SHOWNORMAL);
end;

procedure TfmAbout.lbemailClick(Sender: TObject);
begin
  ShellExecute(Handle, 'open', PChar('mailto:'+lbSite.Hint+#0), '', '', SW_SHOWNORMAL);
end;

end.
